## kdeartwork 14.12.3

=== debian/changelog ===
kdeartwork (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:53:09 -0700

kdeartwork (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:45:33 -0800

kdeartwork (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:12:04 +0100

kdeartwork (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - don't build-depend on libqt4-opengl-dev on armel armhf
    - kdeartwork-wallpapers breaks/replaces kdewallpapers (<< 4:4.13.90)
    - add a kscreensaver.install.armhf without the opengl screensavers
    - build with -DWITH_OpenGL=OFF on armel armhf
  * New upstream release candidate
  * Fix watch urls for new release location
  * Update Vcs urls for the new repository location
  * Update the maintainer
  * Uncouple from kde-workspace:
    - don't build-depend on kde-workspace-dev anymore as it was removed from
      the archive
    - add kubuntu_disable_kwin-styles.diff so kde-workspace is not required
      anymore
    - remove kscreensaver*, kdeartwork-theme-window,
      plasma-desktopthemes-artwork and kdeartwork-style as they require
      kde-workspace
    - drop the now empty kdeartwork-dbg package
    - drop the obsolete opengl handling from rules
    - remove obsolete colorschemes from kdeartwork.install
    - drop now obsolete build-depends on xscreensaver*, libqt4-opengl-dev
    - add obsolete files to not-installed
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 21:47:17 +0100

kdeartwork (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Fix space and spelling in copyright shortname.
  * Adjust package description to make lintian happy. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 14:52:35 -0700

=== debian/control ===
Source: kdeartwork
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               libeigen3-dev,
               libkexiv2-dev,
               libstreamanalyzer-dev (>= 0.6.3),
               libx11-xcb-dev,
               libxt-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdeartwork.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdeartwork.git

Package: kdeartwork
Architecture: all
Depends: kdeartwork-emoticons (>= ${source:Version}),
         kdeartwork-theme-icon (>= ${source:Version}) | kdelibs5-data,
         kdeartwork-wallpapers (>= ${source:Version}),
         ${misc:Depends}
Replaces: kdeartwork-misc
Breaks: kdeartwork-misc
Description: themes, styles and other artwork from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes a collection of additional artwork provided with the
 official release of KDE.

Package: kdeartwork-emoticons
Architecture: all
Depends: ${misc:Depends}
Description: emoticon collections for chat clients
 This package contains several collections of emoticons for chat clients,
 such as Kopete and Konversation.
 .
 This package is part of the KDE artwork module.

Package: kdewallpapers
Section: oldlibs
Architecture: all
Priority: extra
Depends: ${misc:Depends}, kdeartwork-wallpapers (>= ${source:Version})
Description: transitional package for kdeartwork-wallpapers
 This is a transitional package for upgrading to kdeartwork-wallpapers.
 .
 It can be safely removed after the upgrade.

Package: kdeartwork-wallpapers
Architecture: all
Depends: ${misc:Depends}
Suggests: kde-window-manager | x-window-manager, kde-wallpapers
Replaces: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
Breaks: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
Description: extra KDE artwork wallpapers for the KDE Plasma Workspaces
 This package contains more additional wallpapers for KDE Plasma Workspaces,
 in addition to the ones provided with kde-wallpapers.
 .
 This package is part of the KDE artwork module.

Package: kdeartwork-theme-icon
Depends: kde-icons-mono (>= ${source:Version}),
         nuvola-icon-theme (>= ${source:Version}),
         ${misc:Depends}
Architecture: all
Description: additional icon themes
 This metapackage installs additional icon themes for KDE.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-nuvola
Section: oldlibs
Architecture: all
Priority: extra
Depends: nuvola-icon-theme, ${misc:Depends}
Description: transitional package for Nuvola icon theme
 Transitional package for ease upgrading from Nuvola icons as shipped
 in KDE 3 series.

Package: nuvola-icon-theme
Section: x11
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
Description: Nuvola icon theme for KDE
 This package contains the Nuvola icon theme for KDE.
 .
 Nuvola follows the freedesktop.org icon schemes, so it can be used in other
 desktop environments using this specification.
 .
 This package is part of the KDE artwork module.

Package: kde-icons-mono
Architecture: all
Depends: hicolor-icon-theme, ${misc:Depends}
Replaces: kmouth (<< 4:4.6)
Breaks: kmouth (<< 4:4.6)
Description: monochromatic icons theme
 A monochromatic icons theme, designed for accessibility.
 .
 This package is part of the KDE accessibility module.

## kdeartwork 15.08.2

=== IconThemes/CMakeLists.txt ===

set(iconthemes nuvola mono)

set(typeIcons actions animations apps categories devices emblems emotes intl mimetypes places status)

set(sizeIcon 8x8 11x11 16x16 22x22 24x24 32x32 48x48 64x64 128x128 256x256 scalable)

set(kdedir kde)

foreach (_currentthemedir ${iconthemes})
   	install(FILES ${_currentthemedir}/index.theme DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir} )
   
	foreach(_currentsize ${sizeIcon})
		
		foreach(_currenttypeicon ${typeIcons})
			FILE(GLOB _pngfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.png" )
			install(FILES ${_pngfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			FILE(GLOB _mngfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.mng")
			install(FILES ${_mngfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			FILE(GLOB _svgfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.svg")
			install(FILES ${_svgfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			FILE(GLOB _svgzfile "${_currentthemedir}/${_currentsize}/${_currenttypeicon}/*.svgz")
			install(FILES ${_svgzfile} DESTINATION ${ICON_INSTALL_DIR}/${_currentthemedir}/${_currentsize}/${_currenttypeicon})
			# TODO fix it
			#foreach(_currentkdedir ${kdedir})
			#	FILE(GLOB _kdeicons "*.png
			#endforeach(_currentkdedir ${kdedir})		
		endforeach(_currenttypeicon ${typeIcons})

   	endforeach(_currentsize ${sizeIcon})

endforeach(_currentthemedir ${iconthemes})

=== emoticons/CMakeLists.txt ===

add_subdirectory( ccmathteam.com ) 
add_subdirectory( greggman.com ) 
add_subdirectory( phpBB ) 
add_subdirectory( plain ) 
add_subdirectory( redones ) 
add_subdirectory( set1 ) 
add_subdirectory( BoxedEmoticonSet ) 
add_subdirectory( KMess ) 
add_subdirectory( KMess-Blue ) 
add_subdirectory( KMess-Violet ) 
add_subdirectory( KMess-Cartoon )

=== wallpapers/CMakeLists.txt ===
install(DIRECTORY Air DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Aghi DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Atra_Dot DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Blue_Curl DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Chess DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Code_Poets_Dream DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Colorado_Farm DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Curls_on_Green DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Damselfly DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Emotion DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY EOS DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Ethais DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Evening DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Field DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Fields_of_Peace DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Finally_Summer_in_Germany DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Flower_drops DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Fresh_Morning DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Golden_Ripples DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Green_Concentration DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY HighTide DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Holiday_Cactus DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Korea DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Ladybuggin DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Leafs_Labyrinth DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Midnight_in_Karelia DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Plasmalicious DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Quadros DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Red_Leaf DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Skeeter_Hawk DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Spring_Sunray DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY The_Rings_of_Saturn DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY There_is_Rain_on_the_Table DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Vector_Sunset DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

install(DIRECTORY Yellow_Flowers DESTINATION ${WALLPAPER_INSTALL_DIR} PATTERN .svn EXCLUDE)

=== emoticons/BoxedEmoticonSet/CMakeLists.txt ===

install( FILES emoticons.xml angry.png bigsmile.png confused.png  cry.png oh.png sad.png shade.png smile.png tongue.png wink.png  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/Boxed )

=== emoticons/set1/CMakeLists.txt ===

install( FILES biggrin.png cry.png oh.png sleep.png smile.png tongue.png unhappy.png wink.png emoticons.xml  DESTINATION  ${SHARE_INSTALL_PREFIX}/emoticons/tweakers.net )

=== kscreensaver/xsavers/CMakeLists.txt ===
check_include_files(memory.h HAVE_MEMORY_H)
configure_file (config-xsavers.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-xsavers.h )

set(screensaver_base_SRCS main.cpp demowin.cpp saver.cpp helpers.cpp)

########### next target ###############

set(kswarm.kss_SRCS swarm.cpp ${screensaver_base_SRCS} xlock.cpp )


kde4_add_executable(kswarm.kss ${kswarm.kss_SRCS})

target_link_libraries(kswarm.kss  ${KDE4_KDEUI_LIBS} m ${X11_X11_LIB} )

install(TARGETS kswarm.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES KSwarm.desktop  DESTINATION  ${SERVICES_INSTALL_DIR}/ScreenSavers )

########### next target ###############

if(COMPILE_GL_XSAVERS)
set(kspace_SRCS space.cpp ${screensaver_base_SRCS} xlock.cpp )


kde4_add_executable(kspace.kss ${kspace_SRCS})

target_link_libraries(kspace.kss  ${KDE4_KDEUI_LIBS} ${OPENGL_LIBRARY} ${X11_X11_LIB} )

install(TARGETS kspace.kss  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES KSpace.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ScreenSavers )
endif(COMPILE_GL_XSAVERS)

=== ksplash/qmltest/CMakeLists.txt ===
install(FILES Preview.png Theme.rc main.qml DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest)

install(FILES images/background.jpg DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)
install(FILES images/configuring.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)
install(FILES images/desktop.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)
install(FILES images/globe.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)
install(FILES images/hardware.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)
install(FILES images/kde.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)
install(FILES images/plasma.png DESTINATION ${DATA_INSTALL_DIR}/ksplash/Themes/qmltest/images)

=== kwin-styles/web/CMakeLists.txt ===




########### next target ###############

set(kwin3_web_PART_SRCS Web.cpp WebButton.cpp )


kde4_add_plugin(kwin3_web ${kwin3_web_PART_SRCS})



target_link_libraries(kwin3_web  ${KDE4_KDEUI_LIBS} ${KDE4WORKSPACE_KDECORATIONS_LIBS} )

install(TARGETS kwin3_web  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES web.desktop  DESTINATION  ${DATA_INSTALL_DIR}/kwin/ )

=== styles/phase/CMakeLists.txt ===

project(kstyle-phasestyle)

add_definitions(-DQT_PLUGIN)

add_subdirectory( config ) 

########### next target ###############

set(phasestyle_PART_SRCS phasestyle.cpp)

kde4_add_plugin(phasestyle ${phasestyle_PART_SRCS} )

target_link_libraries(phasestyle ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS phasestyle DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/styles/ )

########### install files ###############

install( FILES phase.themerc DESTINATION  ${DATA_INSTALL_DIR}/kstyle/themes )

=== debian/changelog ===
kdeartwork (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:15:52 +0100

kdeartwork (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:38:15 +0100

kdeartwork (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:20:23 +0100

kdeartwork (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:42:56 +0100

kdeartwork (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:46:26 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                libx11-xcb-dev,
                libxt-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.12),
-Standards-Version: 3.9.5
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdeartwork.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdeartwork.git
@@ -56,7 +56,7 @@
 Section: oldlibs
 Architecture: all
 Priority: extra
-Depends: ${misc:Depends}, kdeartwork-wallpapers (>= ${source:Version})
+Depends: kdeartwork-wallpapers (>= ${source:Version}), ${misc:Depends}
 Description: transitional package for kdeartwork-wallpapers
  This is a transitional package for upgrading to kdeartwork-wallpapers.
  .
@@ -65,9 +65,13 @@
 Package: kdeartwork-wallpapers
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kde-window-manager | x-window-manager, kde-wallpapers
-Replaces: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
-Breaks: kde-wallpapers (<< 4:4.10), kdebase-workspace-data (<< 4:4.7.0), kdewallpapers (<< 4:4.13.90)
+Suggests: kde-wallpapers, kde-window-manager | x-window-manager
+Replaces: kde-wallpapers (<< 4:4.10),
+          kdebase-workspace-data (<< 4:4.7.0),
+          kdewallpapers (<< 4:4.13.90)
+Breaks: kde-wallpapers (<< 4:4.10),
+        kdebase-workspace-data (<< 4:4.7.0),
+        kdewallpapers (<< 4:4.13.90)
 Description: extra KDE artwork wallpapers for the KDE Plasma Workspaces
  This package contains more additional wallpapers for KDE Plasma Workspaces,
  in addition to the ones provided with kde-wallpapers.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdeartwork-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdeartwork-([\d.]+).tar.xz

## kdeartwork 15.08.3

=== debian/changelog ===
kdeartwork (4:15.08.3-2) unstable; urgency=medium

  * Team upload.
  * Explicitly disable the build of kscreensaver, kwin-styles, styles, and
    desktopthemes by passing -DBUILD_<foo>=OFF arguments to CMake.
    - drop patch kubuntu_disable_kwin-styles.diff, as it is no more needed now
  * Disable the compression for kdeartwork-wallpapers. (Closes: #766356)
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update watch file to monitor only old 15.08.x tarballs.
  * Turn the Conflicts in nuvola-icon-theme to Breaks, since it is what should
    be done for file moving between packages (which is what happened).
  * Remove unused build dependencies: libkexiv2-dev, libstreamanalyzer-dev,
    libx11-xcb-dev, and libxt-dev.
    - add kdelibs5-dev, since it was pulled by libkexiv2-dev
  * Remove the kde-window-manager suggest from kdeartwork-wallpapers.
  * Remove obsolete not-installed file.
  * Update and fix copyright file.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Jul 2016 14:39:16 +0200

kdeartwork (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:01 +0100

kdeartwork (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.08.0).
  * Remove eigen3 build dependency. (Closes: #786354) Thanks to Anton
    Gladky

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 23:59:20 +0200

kdeartwork (4:15.04.3-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jul 2015 10:52:49 +0200

kdeartwork (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 16:08:09 +0100

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,13 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               libeigen3-dev,
-               libkexiv2-dev,
-               libstreamanalyzer-dev (>= 0.6.3),
-               libx11-xcb-dev,
-               libxt-dev,
+               kdelibs5-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdeartwork.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdeartwork.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/applications/kdeartwork.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdeartwork.git
 
 Package: kdeartwork
 Architecture: all
@@ -65,7 +61,7 @@
 Package: kdeartwork-wallpapers
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: kde-wallpapers, kde-window-manager | x-window-manager
+Suggests: kde-wallpapers
 Replaces: kde-wallpapers (<< 4:4.10),
           kdebase-workspace-data (<< 4:4.7.0),
           kdewallpapers (<< 4:4.13.90)
@@ -102,7 +98,7 @@
 Architecture: all
 Depends: hicolor-icon-theme, ${misc:Depends}
 Replaces: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
-Conflicts: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
+Breaks: kde-icons-nuvola (<< 4:4.0.0), kdeartwork-theme-icon (<= 4:4.3.0-3)
 Description: Nuvola icon theme for KDE
  This package contains the Nuvola icon theme for KDE.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- \
	  -DBUILD_kscreensaver=OFF \
	  -DBUILD_kwin-styles=OFF \
	  -DBUILD_styles=OFF \
	  -DBUILD_desktopthemes=OFF

override_dh_builddeb:
	dh_builddeb -pkdeartwork-wallpapers -- -z0
	dh_builddeb --remaining-packages

=== debian/watch ===
version=3
# monitor only 15.08.x tarballs, since it's the last version of kdeartwork
http://download.kde.org/stable/applications/(15\.08\.[\d.]+)/src/kdeartwork-([\d.]+).tar.xz
